Subject: Re: bug#26587: 26.0.50; Gnus signs with false S/MIME key

From: Robert Pluim <[email-masked]>
Date: Tue, 04 Aug 2020 12:10:04 +0200

>>>>> On Tue, 04 Aug 2020 11:04:28 +0200, Lars Ingebrigtsen <[email-masked]> said:

    Lars> Lars Ingebrigtsen <[email-masked]> writes:
    >> Torsten Bronger <[email-masked]> writes:
    >> 
    >>>> mml-secure-smime-sign-with-sender defaults to nil, so it's normally not
    >>>> used.  So this returns just the value of mml-secure-smime-signers.
    >>>> What's that variable for you?
    >>> 
    >>> It’s nil, and if I set it to t, my problem is gone.  Thank you!
    >>> Strange default, though …
    >> 
    >> Yes it is.  Does anybody know why mml-secure-smime-sign-with-sender is
    >> nil?  Having it be t seems like a much more useful (and less surprising)
    >> value.

    Lars> I think this problem was solved by having Message bug out (and say that
    Lars> you should set mml-secure-smime-sign-with-sender if you wanted that), so
    Lars> I'm closing this bug report.

It does bug out, but its error message is not helpful. I have a patch
somewhere to improve it, but I guess itʼs too late for 27.1

Robert